/**
    05Robot - shared routines

    @author P.Kaczmarek,J.Tomczynski,T.Mankowski
    @version 1.0 2017
*/
#ifndef GVWIDGET_H
#define GVWIDGET_H

#include <QGraphicsView>
#include <QMouseEvent>
#include <QWheelEvent>
#include <QPoint>

class GVWidget: public QGraphicsView
{
	Q_OBJECT

public:

	GVWidget(QWidget *parent)
		: QGraphicsView(parent)
	{

	}

    QPointF widget_to_scene(QPoint point);

public slots:
	void mousePressEvent(QMouseEvent* event);
	void mouseReleaseEvent(QMouseEvent* event);
	void mouseMoveEvent(QMouseEvent* event);
	//void wheelEvent(QWheelEvent* event);

signals:
    void left_press(QPointF point);
	void left_release(QPointF point);
    void clicked(int x, int y); // backwards compatibility
    void right_press(QPointF point);
    void right_release(QPointF point);
    void mouse_move(QPointF point);

};


#endif // MOCAP_H
